Package org.opensaml.xacml.impl

# Class AbstractXACMLObject

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject

All Implemented Interfaces:
  `XMLObject`, `XACMLObject`

Direct Known Subclasses:
  `ActionMatchTypeImpl`, `ActionsTypeImpl`, `ActionTypeImpl`, `ActionTypeImpl`, `ApplyTypeImpl`, `AttributeDesignatorTypeImpl`, `AttributeSelectorTypeImpl`, `AttributeTypeImpl`, `AttributeValueTypeImpl`, `AttributeValueTypeImpl`, `CombinerParametersTypeImpl`, `CombinerParameterTypeImpl`, `ConditionTypeImpl`, `DecisionTypeImpl`, `DefaultsTypeImpl`, `DescriptionTypeImpl`, `EnvironmentMatchTypeImpl`, `EnvironmentsTypeImpl`, `EnvironmentTypeImpl`, `EnvironmentTypeImpl`, `FunctionTypeImpl`, `MissingAttributeDetailTypeImpl`, `ObligationsTypeImpl`, `ObligationTypeImpl`, `PolicySetTypeImpl`, `PolicyTypeImpl`, `RequestTypeImpl`, `ResourceContentTypeImpl`, `ResourceMatchTypeImpl`, `ResourcesTypeImpl`, `ResourceTypeImpl`, `ResourceTypeImpl`, `ResponseTypeImpl`, `ResultTypeImpl`, `RuleTypeImpl`, `StatusCodeTypeImpl`, `StatusDetailTypeImpl`, `StatusMessageTypeImpl`, `StatusTypeImpl`, `SubjectMatchTypeImpl`, `SubjectsTypeImpl`, `SubjectTypeImpl`, `SubjectTypeImpl`, `TargetTypeImpl`, `VariableDefinitionTypeImpl`, `VariableReferenceTypeImpl`

public abstract class AbstractXACMLObject extends AbstractXMLObject implements XACMLObject
An abstract implementation of XACMLObject.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractXACMLObject(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Constructor Details

### AbstractXACMLObject

protected AbstractXACMLObject(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace